@import "bower_components/bootstrap/less/bootstrap.less";
@import "bower_components/font-awesome/less/font-awesome.less";
@import "bower_components/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.less";
@import "public/fonts/fa5/less/fontawesome.less";
@import "public/fonts/fa5/less/solid.less";
@import "public/fonts/fa5/less/regular.less";
@import "public/fonts/xivo/_xivo.less";
@import "../_variables.less";
@import "_variables.less";
@import "_body.less";
@import "../xchelper/main.less";
@import "../login.less";
@import "../xuc.less";
@import "../bars.less";
@import "../_forms.less";
@import "../_buttons.less";
@import "_menu.less";
@import "_fonts.less";
@import "_tables.less";
@import "_content.less";
@import "_agentstates.less";
@import "_callstates.less";
@import "_stats.less";
@import "_callbacks.less";
@import "_switchboard.less";
@import "../coloragentstates.less";
@import "../xcchat/main.less";
@import "_chat.less";
@import "../_material-design-override.less";
@import "../xchelper/_contact-sheet.less";
@import "./_contact-sheet-override.less";


.d-inline-flex {
  display: inline-flex;
}

.d-flex {
  display: flex;
}

.ccagent-container {
  font-family: 'roboto', sans-serif;
  display: block;
  height: 100%;
  width: 360px;
  z-index: @ccagent-container; 
  overflow: hidden;
  .box-shadow(0 2px 5px 0 rgba(110, 110, 110, 0.35));

  @media @sidebar {
    width: 100%;
    max-width: 70px;
    overflow: hidden;
    height: auto;
  }

  .header {
    position: relative;
    height: 30px;
    @media @main {
      height: 60px;
    }

    .fa-white-bars {
      color: white;
      position: absolute;
      right: 15px;
      top: 7px;
      font-size: 16px;

      &:hover {
        color: @grey;
      }
    }

    background-color: @agent-menu-dark-gray;
    color: @agent-header-foreground;

    .maxmin-btn {
      position: absolute;
      top: 7px;
      right: 38px;
      &::after {
        content: url("@{images}/menu/window_minimize.svg");
      }
      @media @sidebar {
        top: 6px;
        right: 5px;
        &::after {
          content: url("@{images}/menu/window_maximize.svg");
        }
      }

      &.hide {
        visibility: hidden;
      }
    }

    .main {
      @media @sidebar {
        display: none;
      }

      &.name {
        padding-left: 15px;
        padding-top: 6px;
        font-size: 16px;
        font-family: roboto-bold;
        line-height: 1.45;
        max-width: 265px;
        text-overflow: ellipsis;
        white-space: nowrap;
        overflow: hidden;
      }

      &.phone {
        color: #fff;
        position: absolute;
        right: 38px;
        display: inline-block;
        font-size: 12px;
        letter-spacing: 1px;

        .fa {
          margin-right: 10px;
          width: 5px;
        }
      }

      &.phone {
        .fa-headphones {
          animation: blinking 3s infinite;
        }
        @keyframes blinking {
          0% {
            color: #fff;
          }
          50% {
            color: #5cb85c;
          }
          100% {
            color: #fff;
          }
        }
      }

      &.switch-phone {
        position: absolute; 
        right: 14px;
        display: flex;
        align-items: center;

        &:hover {
          text-decoration: none;
          opacity: 0.75;
        }
      }

      &.version {
        color: @agent-main-version;
        position: absolute;
        right: 35px;
        top: 10px;
        font-size: 9px;
      }

      &.config-menu {
        padding-left: 0px;

        &:hover {
          text-decoration: none;
        }

        .fa {
          font-size: 1.15em;
          color: @grey;
          position: relative;
          top: 2px;
          left: 3px;

          &:hover {
            opacity: 0.75;
          }
        }
      }
    }
  }

  .phone-box {
    height: 90px;
    background-color: @xivo-dark-gray;

    .answer-call {
      padding: 20px 10px;
      &::after {
        content: url("@{images}/call/inactive_answer.svg");
      }
    }

    @media @main {
      display: none;
    }
  }

  .links {
    padding: 10px 0px 25px 5px;
    background-image: @agent-main-gradient-top;

    & > div {
      float: left;
      width: 70px;
      text-align: center;

      @media @sidebar {
        text-align: center;
        float: none;
        padding-right: 0;
        margin: auto;
      }
    }

    @media @sidebar {
      background-image: @agent-main-gradient-left;
      padding-top: 10px;
      padding-bottom: 5px;
      padding-left: 0;
    }
  }

  .links-adjusted > div {
      width: 87.5px!important;
  }

  .call-badge {
    height: 21px;
    max-width: 48px;
    min-width: 21px;
    position: absolute;
    border: solid 2px white;
    border-radius: 22px;
    padding: 4px 4px;
    font-size: 11.5px;
    background-color: @activity-badge-background;
  }
  .call-badge-container {
    width: 0;
    height: 0;
    position: relative;
  }
  .search {
    background-color: @agent-main-background;
    .autocomplete-background-grey();

    .search-form {
      padding: 13px 18px 20px 16px;
      position: relative;

      .active {
        color:@xivo-primary;
      }
      
      .openExtView {
        position: absolute;
        border: 0px;
        background-color: rgba(0, 0, 0, 0);
        left: 25px;
        top:18px;
        z-index: @openExtView;
        outline: none;
        cursor: pointer;
        font-size: 18px;
        &:hover {
          text-decoration: none;
          font-weight: bold;
          color:@agent-separator-gray;
        }
      }

      .clear-input {
        position: absolute;
        right: 70px;
        top:18px;
        z-index: @clear-input;
        color: @grey;
        padding: 5px;
        cursor: pointer;
        &:hover {
          text-decoration: none;
          font-weight: bold;
          color:@xivo-dark-gray;
        }
      }

       @media @sidebar {
        padding: 20px 20px 13px 20px;
       }

      .form-control {
        border-radius: 30px 0px 0px 30px;
        height: 40px;
        font-size: 14px;
        background-color: @agent-search-background;
        border: 1px solid @agent-search-background;
        box-shadow: none;
        text-align: center;
        padding-left: 40px;
        padding-right: 40px;
      }

      .input-group-btn>.btn {
        color: @agent-menu-dark-gray;
        background-color: @agent-search-background;
        border: 1px solid @agent-search-background;
        border-left: 0 none;
        border-radius: 0px 30px 30px 0px;
        padding: 3px 12px 0 10px;
        font-size: 18px;
        height: 40px;
        width: 40px;
        outline: none;
        &:hover {
          color: @agent-separator-gray;
        }

        .fa-phone {
          padding-bottom: 3px;
          font-size: 20px;
        }

        .fa-search {
          padding-bottom: 7px;
        }
      }

      &:focus {
        .form-control, .input-group-btn>.btn {
          box-shadow: none;
        }
      }
    }
    @media @sidebar {
      display: none;
    }
  }
}

.dropdown-menu {
  .input-group-btn {
    .xivo-phone-plus-wrapper {
      position: relative;
      .xivo-telephone{
        font-size: 16px;
        }
      .xivo-phone-plus {
            font-size: 10px;
            position: absolute;
            bottom: 8px;
            right: -3px;
            text-shadow: none;
            font-family: 'FontAwesome' !important;
            color: @white
      }
    }
  }
}


jitsi-video {
  z-index: @default-index;
  width: calc(~"100% - 362px");
  overflow: hidden;
  height: 100%;
  flex: auto;
  #meet {
    height: 100%;
  }
}

jitsi-video.foreground {
  z-index: @jitsi-video;
}

.message-resize-ccagent {
  display: none;
  @media @minimum-usable-cc {
    display: block;
    width: 100% !important;     
    height: auto;
    bottom: 0 !important;
    position: fixed;
    z-index: @message-resize !important;
  }
  @media @ccagent-tiny-bar {
    display: none !important;
  }
}

.third-party-container {
  font-family: 'roboto', sans-serif;
  display: block;
  height: 100%;
  width: calc(~'100% - 360px');
  position: fixed;
  z-index: @third-party-container;
  top: 0;
  left: 360px;
  border-left: 1px solid @input-border;

  .title {
    background-color: @agent-menu-dark-gray;
    color: @white;
    padding: 5px;
    text-align: center;
  }

  #thirdpartyframe {
    width: 100%;
    height: 100%;
  }

  @media @sidebar {
    left: 70px;
    width: calc(~'100% - 70px');
  }
}

.thirdparty-switchboard {
  left: 720px;
  width: calc(~'100% - 720px');
  overflow-wrap: anywhere;

}

div[ui-view="thirdparty"] {
  position: relative;
  z-index: @thirdparty;
}
  

.microphone-broken-message {
  background-color: rgba(180, 236, 255, 1);
  font-size: 12px;
  div {
    display: flex;
    justify-content: space-between;
    padding: 3px 5px!important;
    &:hover {
      background-color: rgb(166, 233, 255);
    }
    a {
      text-decoration: none;
      color: inherit;
      cursor: pointer;
    }
  }
}

.init-error-message {
  background-color: #fff4a9;
  font-size: 12px;
  div {
    display: flex;
    justify-content: space-between;
    padding: 3px 5px!important;
    &:hover {
      background-color: #fff197;
    }
    a {
      text-decoration: none;
      color: inherit;
      cursor: pointer;
    }
  }
}

.link-desktop-assistant {
  margin-top: 75px;

  .align-download-buttons {
  
    .download-buttons {
      padding: 4px;
    }
  }
}


.audio-quality-message {
  background-color: #fff4a9;
  font-size: 12px;
  audio-stats-displayer {
      .quality-issue-message {
        padding: 3px 5px!important;
        display: flex;
        justify-content: space-around;
        .audiowave-image {
          img {
            margin-top: 3px;
            width: 35px;
            height: 25px;
            display: block;
            margin-right: 5px;
          }
        }
      }
      .audio-stats-details {
        color: @xivo-primary;
        cursor: pointer;
        &:hover {
          font-weight: bold;
        }
      }
      .advanced-statistics {
        padding: 5px 45px;
        font-size: 11px;
        .stats-wrapper {
          display: flex;
          justify-content: center;
          .stats-separator {
            height: 51px;
            width: 1px;
            background-color: @xivo-dark;
            margin: 0 15px;
          }
          .adv-stats-down, .adv-stats-up {
            width: 135px;
            display: block;
            .adv-stats-title {
              font-weight: bold;
            }
            div {
              display: flex;
              justify-content: space-between;
              span {
                display: block;
              }
            }
          }
        }
        .adv-stats-rtt {
          padding-top: 1px;
        }
      }
  }
}

.div-call-placeholder {
  padding: 6px;
  background-color: @xivo-dark-gray;
  height: 69px;

  .placeholder-row-child {
    background-color: #fff;
    display: grid;
    grid-template-columns: 0.5fr 3fr;
    padding: 18px 20px;

    .call-placeholder-msg {
      font-style: italic;
    }
    .call-placeholder-spinner {
      width: 35px;
    }
  }

}
.w-100 {
  width: 100% !important;
}
.h-100 {
  height: 100% !important;
}

volume-bar {
  padding-left: 5px !important;
}

.fade.in {
  width: 360px;
}

#option-header-container {
  display: flex;
  flex-direction: row;
  .option-header {
    color: #ffffff;
    display: block;
    padding: 3px 5px;
    border-right: 1px solid rgb(219, 219, 219);
    border-bottom: 1px solid rgb(184, 184, 184);
    border-top-right-radius: 3px;
    background-color: #595959;
    &:hover {
      cursor: pointer;
      background-color: #7a7a7a;
      border-color: rgb(184, 184, 184);
    }
    &.selected {
      border-bottom: 2px solid #ff5722;  
    }
  }
}

.audio-options {
  .content-item.title {
    margin: 10px 0;
    line-height: 12px;
  }
  .agent-hid-menu {
    background-color: #efefef;
  }
  select {
    margin: 0 0 10px 0;
    background-color: #efefef;
  }
  hr {
    margin: 15px 0;
  }
}